RSSKit 0.6.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Instance Methods | Class Methods | List of all members
RSSLink Class Reference

`#import <RSSLinks.h>`

Inherits NSURL.

Inherited by RSSAlternativeLink, RSSEnclosureLink, RSSRelatedLink, and RSSViaLink.

## Instance Methods

(id) | - initWithString:andType:
(NSString *) | - relationType
(NSString *) | - fileType

## Class Methods

(id) | + linkWithString:andRel:andType:

## Detailed Description

A link that is used in a RSSArticle. You can find these in the array returned by the -links method in RSSArticle.

This inherits from NSURL and has special extra attributes.

## Method Documentation

- (NSString *) fileType |  |  |

Returns the file type of the file that this link points to.

Returns
  the file type as a string

- (id) initWithString: |  | (NSString*) | aURLString
andType: |  | (NSString*) | aType

See Also
  -initWithString:andRel:andType:

+ (id) linkWithString: |  | (NSString*) | aURLString
andRel: |  | (NSString*) | aRelation
andType: |  | (NSString*) | aType

Factory method that returns a RSSLink with the given attributes.

Relation type is one of:

- "alternate": This link leads to an alternative location where this article's contents can be found.
- "enclosure": A related resource which is probably large in size. This may link to a movie, a mp3 file, etc.
- "related": A related document
- "self": The feed itself
- "via": The source of the information provided in the entry.

The `nil` relation type defaults to "related".

These relation types are compatible with the ones of the ATOM specification. For details, see the ATOM specification.

Parameters

  aURLString | the URL of the link as string
  aRelation | one of "alternate", "enclosure", "related", "self", "via", nil
  aType | the file type as string

- (NSString *) relationType |  |  |

Returns the type of this relation. This is one of "alternate", "enclosure", "related", "self", "via".

Returns
  the relation type as string

The documentation for this class was generated from the following files:

- RSSLinks.h
- RSSLinks.m